#!/bin/bash

# Copyright (C) 2018  Tetras Libre <Contact@Tetras-Libre.fr>
# Author: Beniamine, David <David.Beniamine@Tetras-Libre.fr>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if [ -z `tty | grep tty` ]
then
    echo "This script should be run from tty"
    echo "To start TTY please type Ctrl+Alt+F1"
    exit 1
fi
read -p "This script should be run on Primtux to synchronise ldap do you want to continue [y/N]" ans
if [ "$ans" != "y" ]
then
    exit 1
fi
sudo dhclient eth0
sudo apt-get update
sudo systemctl stop lightdm
sudo apt-get -y -q install libpam-ldap libnss-ldap nscd smbclient winbind cifs-utils libpam-mount ldap-utils kdm
sudo apt-get purge lightdm
# remove local users
for user in 01-mini 02-super 03-maxi direction prof
do
	sudo deluser $user
done
echo "Fixing handy menu"
for level in 01-mini 02-super 03-maxi
do
    sudo sed -i.bak s@/home/$level@~@g /usr/share/handymenu-${level/0[1-3]-/}/hm_utils.py
done
